Icons (Occurrence Data Management 2.0.0-3.1.1 API)
Date: 2014-06-04

org.gcube.portlets.user.occurrencemanagement.client.resources

## Interface Icons

- All Superinterfaces:
    com.google.gwt.resources.client.ClientBundle

      public interface Icons
      extends com.google.gwt.resources.client.ClientBundle

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.google.gwt.resources.client.ClientBundle

      `com.google.gwt.resources.client.ClientBundle.Source`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.resources.client.ImageResource` | `add()`
    `com.google.gwt.resources.client.ImageResource` | `addOperator()`
    `com.google.gwt.resources.client.ImageResource` | `arrowR()`
    `com.google.gwt.resources.client.ImageResource` | `cancel()`
    `com.google.gwt.resources.client.ImageResource` | `close()`
    `com.google.gwt.resources.client.ImageResource` | `columnExplore()`
    `com.google.gwt.resources.client.ImageResource` | `computationIcon()`
    `com.google.gwt.resources.client.ImageResource` | `delete()`
    `com.google.gwt.resources.client.ImageResource` | `folderExplore()`
    `com.google.gwt.resources.client.ImageResource` | `info()`
    `com.google.gwt.resources.client.ImageResource` | `inputSpaceIcon()`
    `com.google.gwt.resources.client.ImageResource` | `jobsIcon()`
    `com.google.gwt.resources.client.ImageResource` | `logo()`
    `com.google.gwt.resources.client.ImageResource` | `logoOccurrence()`
    `com.google.gwt.resources.client.ImageResource` | `menuItemComputations()`
    `com.google.gwt.resources.client.ImageResource` | `menuItemData()`
    `com.google.gwt.resources.client.ImageResource` | `menuItemOperations()`
    `com.google.gwt.resources.client.ImageResource` | `refresh()`
    `com.google.gwt.resources.client.ImageResource` | `removeAll()`
    `com.google.gwt.resources.client.ImageResource` | `save()`
    `com.google.gwt.resources.client.ImageResource` | `sortAscending()`
    `com.google.gwt.resources.client.ImageResource` | `startComputation()`
    `com.google.gwt.resources.client.ImageResource` | `table()`
    `com.google.gwt.resources.client.ImageResource` | `tree()`
    `com.google.gwt.resources.client.ImageResource` | `upload()`
    `com.google.gwt.resources.client.ImageResource` | `workflowConnector1()`
    `com.google.gwt.resources.client.ImageResource` | `workflowConnector2()`

- - ### Method Detail

    - #### table

          @ClientBundle.Source(value="icons/table.png")
          com.google.gwt.resources.client.ImageResource table()

    - #### close

          @ClientBundle.Source(value="icons/close.gif")
          com.google.gwt.resources.client.ImageResource close()

    - #### delete

          @ClientBundle.Source(value="icons/cancel.png")
          com.google.gwt.resources.client.ImageResource delete()

    - #### info

          @ClientBundle.Source(value="icons/info-icon.png")
          com.google.gwt.resources.client.ImageResource info()

    - #### upload

          @ClientBundle.Source(value="icons/inbox-upload.png")
          com.google.gwt.resources.client.ImageResource upload()

    - #### arrowR

          @ClientBundle.Source(value="icons/arrowR.png")
          com.google.gwt.resources.client.ImageResource arrowR()

    - #### logo

          @ClientBundle.Source(value="icons/logo.png")
          com.google.gwt.resources.client.ImageResource logo()

    - #### computationIcon

          @ClientBundle.Source(value="icons/computation.png")
          com.google.gwt.resources.client.ImageResource computationIcon()

    - #### jobsIcon

          @ClientBundle.Source(value="icons/computation.png")
          com.google.gwt.resources.client.ImageResource jobsIcon()

    - #### inputSpaceIcon

          @ClientBundle.Source(value="icons/inputSpace.png")
          com.google.gwt.resources.client.ImageResource inputSpaceIcon()

    - #### addOperator

          @ClientBundle.Source(value="icons/application_side_expand.png")
          com.google.gwt.resources.client.ImageResource addOperator()

    - #### workflowConnector1

          @ClientBundle.Source(value="icons/connector1.png")
          com.google.gwt.resources.client.ImageResource workflowConnector1()

    - #### workflowConnector2

          @ClientBundle.Source(value="icons/connector2.png")
          com.google.gwt.resources.client.ImageResource workflowConnector2()

    - #### startComputation

          @ClientBundle.Source(value="icons/triangle.png")
          com.google.gwt.resources.client.ImageResource startComputation()

    - #### removeAll

          @ClientBundle.Source(value="icons/delete.png")
          com.google.gwt.resources.client.ImageResource removeAll()

    - #### sortAscending

          @ClientBundle.Source(value="icons/sort_asc.gif")
          com.google.gwt.resources.client.ImageResource sortAscending()

    - #### tree

          @ClientBundle.Source(value="icons/tree.gif")
          com.google.gwt.resources.client.ImageResource tree()

    - #### folderExplore

          @ClientBundle.Source(value="icons/folder_explore.png")
          com.google.gwt.resources.client.ImageResource folderExplore()

    - #### cancel

          @ClientBundle.Source(value="icons/cancel_icon.png")
          com.google.gwt.resources.client.ImageResource cancel()

    - #### add

          @ClientBundle.Source(value="icons/add.png")
          com.google.gwt.resources.client.ImageResource add()

    - #### columnExplore

          @ClientBundle.Source(value="icons/add.png")
          com.google.gwt.resources.client.ImageResource columnExplore()

    - #### refresh

          @ClientBundle.Source(value="icons/refresh.gif")
          com.google.gwt.resources.client.ImageResource refresh()

    - #### menuItemComputations

          @ClientBundle.Source(value="icons/menuItemComputations.png")
          com.google.gwt.resources.client.ImageResource menuItemComputations()

    - #### menuItemOperations

          @ClientBundle.Source(value="icons/menuItemExperiment.png")
          com.google.gwt.resources.client.ImageResource menuItemOperations()

    - #### menuItemData

          @ClientBundle.Source(value="icons/menuItemDataspace.png")
          com.google.gwt.resources.client.ImageResource menuItemData()

    - #### save

          @ClientBundle.Source(value="icons/save.png")
          com.google.gwt.resources.client.ImageResource save()

    - #### logoOccurrence

          @ClientBundle.Source(value="icons/logoOccurrence.png")
          com.google.gwt.resources.client.ImageResource logoOccurrence()

Copyright © 2014. All Rights Reserved.